import { APIGatewayProxyStructuredResultV2 } from "aws-lambda";
import { BaseClient, Issuer, TokenSet } from "openid-client";
export interface OauthBasicConfig {
    clientID: string;
    clientSecret: string;
    scope: string;
    prompt?: string;
    onSuccess: (tokenset: TokenSet, client: BaseClient) => Promise<APIGatewayProxyStructuredResultV2>;
}
export interface OauthConfig extends OauthBasicConfig {
    issuer: Issuer;
}
export declare const OauthAdapter: (config: OauthConfig) => () => Promise<APIGatewayProxyStructuredResultV2>;
