import { SignerOptions } from "fast-jwt";
import { APIGatewayProxyStructuredResultV2 } from "aws-lambda";
export interface SessionTypes {
    public: {};
}
export declare type SessionValue = {
    [type in keyof SessionTypes]: {
        type: type;
        properties: SessionTypes[type];
    };
}[keyof SessionTypes];
export declare function useSession<T = SessionValue>(): T;
declare function create<T extends keyof SessionTypes>(input: {
    type: T;
    properties: SessionTypes[T];
    options?: Partial<SignerOptions>;
}): string;
export declare function cookie<T extends keyof SessionTypes>(input: {
    type: T;
    properties: SessionTypes[T];
    redirect: string;
    options?: Partial<SignerOptions>;
}): APIGatewayProxyStructuredResultV2;
export declare function parameter<T extends keyof SessionTypes>(input: {
    type: T;
    redirect: string;
    properties: SessionTypes[T];
    options?: Partial<SignerOptions>;
}): APIGatewayProxyStructuredResultV2;
export declare const Session: {
    create: typeof create;
    cookie: typeof cookie;
    parameter: typeof parameter;
};
export {};
