import { Handler } from "../context/handler.js";
import { usePath } from "../context/http.js";
export function AuthHandler(config) {
    return Handler("api", async () => {
        const [providerName] = usePath().slice(-2);
        const provider = config.providers[providerName];
        if (!provider)
            throw new Error("No matching provider found");
        return provider.adapter.handle(provider);
    });
}
