import { createSigner, createVerifier } from "fast-jwt";
import { Context } from "../context/context.js";
import { useHeader } from "../context/http.js";
export * from "./auth.js";
export * from "./google.js";
export * from "./session.js";
const KEY = "12345678";
const signer = createSigner({ key: KEY });
const verifier = createVerifier({ key: KEY });
export function createSession(type, properties) {
    const token = signer({
        type,
        properties
    });
    return token;
}
export const useSession = /* @__PURE__ */ Context.memo(() => {
    const header = useHeader("authorization");
    const token = header.substring(7);
    const jwt = verifier(token);
    return jwt;
});
