import { Context } from "../context/context.js";
import { useHeader } from "../context/http.js";
import { createSigner, createVerifier } from "fast-jwt";
const KEY = "12345678";
const signer = createSigner({ key: KEY });
const verifier = createVerifier({ key: KEY });
export function createSession(type, properties) {
    const token = signer({
        type,
        properties
    });
    return token;
}
export const useSession = /* @__PURE__ */ Context.memo(() => {
    const header = useHeader("authorization");
    if (!header)
        return;
    if (!header.startsWith("Bearer "))
        return;
    const token = header.substring(7);
    return verifier(token);
});
